Skip to content
You're viewing documentation for v2026.11.5-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get a config file version

The console replaces each password with <redacted> before it stores a version.

GET/api/v1/database-services/{id}/config-files/{snapshot}
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
snapshotstringrequired
Responses
200

OK

contentstring | nullrequired

The redacted text. Null when the console could not redact this version

filestringrequired
idstringrequired
pathstringrequired
redactedbooleanrequired

false: the console could not redact this version, and keeps only its hash

server_idstringrequired
sha256stringrequired

The hash of the file on the server, before the redaction

sourcestringrequired
Allowed:workflowpatronidrift
taken_atstring<date-time>required
workflow_idstring
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/database-services/string/config-files/string' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "content": "string",
  "file": "string",
  "id": "string",
  "path": "string",
  "redacted": true,
  "server_id": "string",
  "sha256": "string",
  "source": "workflow",
  "taken_at": "2019-08-24T14:15:22Z",
  "workflow_id": "string"
}